Run a Blueprint

Starts a Blueprint run against one or more target tenants. The action runs asynchronously. You can use GET /blueprints/runs/{run_id} to check the status of the run.

Path Params
uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of your Tenant Manager (MSP) organization. You can find it on the API Key Management page in the DEX platform.

string
required

ID of the Blueprint to run. You can use GET /blueprints to see the ID of each Blueprint.

Body Params

The organizations to run the Blueprint on.

target_org_ids
array of objects
required

The IDs of the organizations to apply the blueprint on.

target_org_ids*
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json